# Class FormArrayItemButton`Abstract`

#### Hierarchy (view full)

- FormArrayItemButton
  - FormArrayItemRemoveButtonDirective
  - FormArrayItemRestoreButtonDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:27

#####
Index

### Constructors

constructor

### Properties

_controlDisabledSubscription?
_deletedControlValueSubscription?
deletedControl
elementRef
formGroup
matButton
parent
renderer
type

### Accessors

disabled
index
isDeleted
isDisabled

### Methods

ngAfterViewInit
ngOnDestroy
onClick
updateDisplayStyle

## Constructors

### constructor

- new FormArrayItemButton(parent, matButton, renderer, elementRef): FormArrayItemButton

- #### Parameters

  - parent: ControlContainer
  - matButton: MatButton
  - renderer: Renderer2
  - elementRef: ElementRef<any>

  #### Returns FormArrayItemButton

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:36

## Properties

### `Private` `Optional` _controlDisabledSubscription

_controlDisabledSubscription?: Subscription

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:33

### `Private` `Optional` _deletedControlValueSubscription

_deletedControlValueSubscription?: Subscription

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:34

### `Protected` deletedControl

deletedControl: RxapFormControl<boolean, any, any>

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:32

### `Protected` `Readonly` elementRef

elementRef: ElementRef<any>

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:40

### `Protected` formGroup

formGroup: RxapFormGroup<{
deleted: boolean;
}, any>

#### Type declaration

- ##### deleted: boolean

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:31

### `Protected` `Readonly` matButton

matButton: MatButton

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:38

### `Protected` `Readonly` parent

parent: ControlContainer

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:37

### `Protected` `Readonly` renderer

renderer: Renderer2

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:39

### type

type: string = 'button'

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:30

## Accessors

### disabled

- get disabled(): boolean

- #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:45

### index

- get index(): number

- #### Returns number

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:53

### isDeleted

- get isDeleted(): boolean

- #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:49

### `Protected` isDisabled

- get isDisabled(): boolean

- #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:57

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:61

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:86

### `Protected` `Abstract` onClick

- onClick(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:91

### `Protected` `Abstract` updateDisplayStyle

- updateDisplayStyle(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:93